## gazebo11 11.9.0

=== CMakeLists.txt ===
if(WIN32)
  cmake_minimum_required(VERSION 3.11 FATAL_ERROR)
else()
  cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
endif()

if(COMMAND CMAKE_POLICY)
  CMAKE_POLICY(SET CMP0003 NEW)
  CMAKE_POLICY(SET CMP0004 NEW)
endif(COMMAND CMAKE_POLICY)

if(POLICY CMP0100)
  cmake_policy(SET CMP0100 NEW)
endif()

project (Gazebo)
string (TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)
string (TOUPPER ${PROJECT_NAME} PROJECT_NAME_UPPER)

set (GAZEBO_MAJOR_VERSION 11)
set (GAZEBO_MINOR_VERSION 9)
# The patch version may have been bumped for prerelease purposes; be sure to
# check gazebo-release/ubuntu/debian/changelog@default to determine what the
# next patch version should be for a regular release.
set (GAZEBO_PATCH_VERSION 0)

set (GAZEBO_VERSION ${GAZEBO_MAJOR_VERSION}.${GAZEBO_MINOR_VERSION})
set (GAZEBO_VERSION_FULL ${GAZEBO_MAJOR_VERSION}.${GAZEBO_MINOR_VERSION}.${GAZEBO_PATCH_VERSION})

message (STATUS "${PROJECT_NAME} version ${GAZEBO_VERSION_FULL}")

set (gazebo_cmake_dir ${PROJECT_SOURCE_DIR}/cmake CACHE PATH "Location of CMake scripts")

if(DEFINED ENABLE_TESTS_COMPILATION)
 message(FATAL_ERROR "The parameter ENABLE_TESTS_COMPILATION is deprecated. "
   "The new behaviour is to call 'make tests' explicitly to compile the test"
   "suite. Calling 'make' or 'make all' won't compile the tests")
endif()

if(NOT DEFINED BUILD_TESTING)
    set(BUILD_TESTING OFF)
endif()

option(ENABLE_PROFILER "Enable Ignition Profiler" FALSE)

if(ENABLE_PROFILER)
  add_definitions("-DIGN_PROFILER_ENABLE=1")
else()
  add_definitions("-DIGN_PROFILER_ENABLE=0")
endif()

#============================================================================
# We turn off extensions because (1) we do not ever want to use non-standard
# compiler extensions, and (2) this variable is on by default, causing cmake
# to choose the flag -std=gnu++14 instead of -std=c++14 when the C++14
# features are requested. Explicitly turning this flag off will force cmake to
# choose -std=c++14.
# See https://github.com/ignitionrobotics/ign-cmake/issues/13 for more info.
set(CMAKE_CXX_EXTENSIONS off)

########################################
# Package Creation:
include (${gazebo_cmake_dir}/gazebo_cpack.cmake)
set (CPACK_PACKAGE_VERSION "${GAZEBO_VERSION_FULL}")
set (CPACK_PACKAGE_VERSION_MAJOR "${GAZEBO_MAJOR_VERSION}")
set (CPACK_PACKAGE_VERSION_MINOR "${GAZEBO_MINOR_VERSION}")
set (CPACK_PACKAGE_VERSION_PATCH "${GAZEBO_PATCH_VERSION}")

if (CPACK_GENERATOR)
  message(STATUS "Found CPack generators: ${CPACK_GENERATOR}")

  configure_file("${gazebo_cmake_dir}/cpack_options.cmake.in" ${GAZEBO_CPACK_CFG_FILE} @ONLY)
  set(CPACK_PROJECT_CONFIG_FILE ${GAZEBO_CPACK_CFG_FILE})
  include (CPack)
endif()

# If we're configuring only to package source, stop here
if (PACKAGE_SOURCE_ONLY)
  message(WARNING "Configuration was done in PACKAGE_SOURCE_ONLY mode.  You can build a tarball (make package_source), but nothing else.")
  return()
endif()

# Documentation
add_subdirectory(doc)

# Configure documentation uploader
configure_file("${CMAKE_SOURCE_DIR}/cmake/upload_doc.sh.in"
  ${CMAKE_BINARY_DIR}/upload_doc.sh @ONLY)

# If we're configuring only to build docs, stop here
if (DOC_ONLY)
  message(WARNING "Configuration was done in DOC_ONLY mode.  You can build documentation (make doc), but nothing else.")
  return()
endif()

enable_testing()

# Use GNUInstallDirst to get canonical paths
include(GNUInstallDirs)

# with -fPIC
if(UNIX AND NOT WIN32)
  set (CMAKE_INSTALL_PREFIX "/usr" CACHE STRING "Install Prefix")
 find_program(CMAKE_UNAME uname /bin /usr/bin /usr/local/bin )
 if(CMAKE_UNAME)
   exec_program(uname ARGS -m OUTPUT_VARIABLE CMAKE_SYSTEM_PROCESSOR)
   set(CMAKE_SYSTEM_PROCESSOR ${CMAKE_SYSTEM_PROCESSOR} CACHE INTERNAL
     "processor type (i386 and x86_64)")
   if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
     ADD_DEFINITIONS(-fPIC)
   endif(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
 endif(CMAKE_UNAME)
endif()

set (CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE ON)


# developer's option to cache PKG_CONFIG_PATH and
# LD_LIBRARY_PATH for local installs
if(PKG_CONFIG_PATH)
  set (ENV{PKG_CONFIG_PATH} ${PKG_CONFIG_PATH}:$ENV{PKG_CONFIG_PATH})
endif()
if(LD_LIBRARY_PATH)
  set (ENV{LD_LIBRARY_PATH} ${LD_LIBRARY_PATH}:$ENV{LD_LIBRARY_PATH})
endif()


set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_INCLUDEDIR}/gazebo-${GAZEBO_MAJOR_VERSION}/gazebo")
set (LIB_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR})
set (BIN_INSTALL_DIR ${CMAKE_INSTALL_BINDIR})

set (BUILD_GAZEBO ON CACHE INTERNAL "Build Gazebo" FORCE)
set (build_errors "" CACHE INTERNAL "build errors" FORCE)
set (build_warnings "" CACHE INTERNAL "build warnings" FORCE)


set (MIN_OGRE_VERSION 1.7.4 CACHE INTERNAL "Ogre version requirement" FORCE)
set (MIN_BOOST_VERSION 1.40.0 CACHE INTERNAL "Boost min version requirement" FORCE)

set (FREEIMAGE_MAJOR_VERSION 3 CACHE INTERNAL "FreeImage major version requirement" FORCE)
set (FREEIMAGE_MINOR_VERSION 9 CACHE INTERNAL "FreeImage minor version requirement" FORCE)
set (MIN_FREEIMAGE_VERSION ${FREEIMAGE_MAJOR_VERSION}.${FREEIMAGE_MINOR_VERSION}.0 CACHE INTERNAL "FreeImage version requirement" FORCE)

include (${gazebo_cmake_dir}/DissectVersion.cmake)

#####################################
# Check for low memory version to use in some tests
if(NOT DEFINED USE_LOW_MEMORY_TESTS)
  set (USE_LOW_MEMORY_TESTS FALSE)
  message (STATUS "High memory tests: enabled")
else()
  set (USE_LOW_MEMORY_TEST TRUE)
  message (STATUS "High memory tests: disabled, low memory versions will be used")
endif()

######################################
# Enable screen tests by default
if(NOT DEFINED ENABLE_SCREEN_TESTS)
  set(ENABLE_SCREEN_TESTS TRUE)
endif()

message (STATUS "\n\n====== Finding 3rd Party Packages ======")
include (${gazebo_cmake_dir}/SearchForStuff.cmake)
message (STATUS "----------------------------------------\n")

#####################################
# Define some variables that are going to be used in two places:
# 1. In CMake code to pass preprocessor definitions to certain source files
# (especially in common/CMakeLists.txt).
# 2. In the generation of cmake/setup.sh from cmake/setup.sh.in
set(GAZEBO_DEFAULT_MASTER_HOST localhost)
set(GAZEBO_DEFAULT_MASTER_PORT 11345)
set(GAZEBO_RELATIVE_PLUGIN_LIB_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}/gazebo-${GAZEBO_MAJOR_VERSION}/plugins)
set(GAZEBO_RELATIVE_PLUGIN_BIN_INSTALL_DIR ${CMAKE_INSTALL_BINDIR}/gazebo-${GAZEBO_MAJOR_VERSION}/plugins)
set(GAZEBO_PLUGIN_LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/${GAZEBO_RELATIVE_PLUGIN_LIB_INSTALL_DIR})
set(GAZEBO_PLUGIN_BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/${GAZEBO_RELATIVE_PLUGIN_BIN_INSTALL_DIR})
if(WIN32)
  set(GAZEBO_RELATIVE_PLUGIN_PATH ${GAZEBO_RELATIVE_PLUGIN_BIN_INSTALL_DIR})
else()
  set(GAZEBO_RELATIVE_PLUGIN_PATH ${GAZEBO_RELATIVE_PLUGIN_LIB_INSTALL_DIR})
endif()
set(GAZEBO_PLUGIN_PATH ${CMAKE_INSTALL_PREFIX}/${GAZEBO_RELATIVE_PLUGIN_PATH})
FILE(TO_NATIVE_PATH "${GAZEBO_PLUGIN_PATH}" GAZEBO_PLUGIN_PATH)
set(GAZEBO_RELATIVE_MODEL_PATH ${CMAKE_INSTALL_DATAROOTDIR}/gazebo-${GAZEBO_MAJOR_VERSION}/models)
set(GAZEBO_MODEL_PATH ${CMAKE_INSTALL_PREFIX}/${GAZEBO_RELATIVE_MODEL_PATH})
FILE(TO_NATIVE_PATH "${GAZEBO_MODEL_PATH}" GAZEBO_MODEL_PATH)
set(GAZEBO_RELATIVE_RESOURCE_PATH ${CMAKE_INSTALL_DATAROOTDIR}/gazebo-${GAZEBO_MAJOR_VERSION})
set(GAZEBO_RESOURCE_PATH ${CMAKE_INSTALL_PREFIX}/${GAZEBO_RELATIVE_RESOURCE_PATH})
FILE(TO_NATIVE_PATH "${GAZEBO_RESOURCE_PATH}" GAZEBO_RESOURCE_PATH)
set(GAZEBO_MODEL_DATABASE_URI http://models.gazebosim.org)
set(OGRE_RESOURCE_PATH ${OGRE_PLUGINDIR})
# Seems that OGRE_PLUGINDIR can end in a newline, which will cause problems when
# we pass it to the compiler later.
string(REPLACE "\n" "" OGRE_RESOURCE_PATH ${OGRE_RESOURCE_PATH})


# Check for DRI capable Display
include (${gazebo_cmake_dir}/CheckDRIDisplay.cmake)

#####################################
MESSAGE(STATUS "Checking gazebo build type")
# Set the default build type
if (NOT CMAKE_BUILD_TYPE)
    set (CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING
        "Choose the type of build, options are: Debug Release RelWithDebInfo Profile Check" FORCE)
endif (NOT CMAKE_BUILD_TYPE)
# TODO: still convert to uppercase to keep backwards compatibility with
# uppercase old supported and deprecated modes
string(TOUPPER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_UPPERCASE)

if (NOT DEFINED HDF5_INSTRUMENT)
  set (HDF5_INSTRUMENT FALSE)
endif()

set (GAZEBO_BUILD_TYPE_PROFILE FALSE)
set (GAZEBO_BUILD_TYPE_RELEASE FALSE)
set (GAZEBO_BUILD_TYPE_RELWITHDEBINFO FALSE)
set (GAZEBO_BUILD_TYPE_DEBUG FALSE)
set (GAZEBO_BUILD_TYPE_COVERAGE FALSE)

if ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "PROFILE")
  set (GAZEBO_BUILD_TYPE_PROFILE TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "RELEASE")
  set (GAZEBO_BUILD_TYPE_RELEASE TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "RELWITHDEBINFO")
  set (GAZEBO_BUILD_TYPE_RELWITHDEBINFO TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "DEBUG")
  set (GAZEBO_BUILD_TYPE_DEBUG TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "COVERAGE")
  BUILD_WARNING ("Simbody physics engine not supported during Coverage builds (issue #1849).")
  set (HAVE_SIMBODY FALSE)
  BUILD_WARNING ("DART physics engine not supported during Coverage builds (issue #1160).")
  set (HAVE_DART FALSE)
  set (GAZEBO_BUILD_TYPE_COVERAGE TRUE)
  include (${gazebo_cmake_dir}/CodeCoverage.cmake)
  setup_target_for_coverage(coverage coverage)
else()
  build_error("CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} unknown. Valid options are: Debug Release RelWithDebInfo Profile Check")
endif()

#####################################
# Handle CFlags
# USE_UPSTREAM_CFLAGS (default TRUE)
if(NOT DEFINED USE_UPSTREAM_CFLAGS)
    set (USE_UPSTREAM_CFLAGS True)
endif()

unset (CMAKE_C_FLAGS_ALL CACHE)

# USE_HOST_CFLAGS (default TRUE)
# Will check building host machine for proper cflags
if(NOT DEFINED USE_HOST_CFLAGS OR USE_HOST_CFLAGS)
  message(STATUS "Enable host CFlags")
  include (${gazebo_cmake_dir}/HostCFlags.cmake)
endif()

# Will use predefined gazebo developers cflags
# this needs to be called after HostCFlags
if(USE_UPSTREAM_CFLAGS)
  # use gazebo own set of flags
  unset (CMAKE_CXX_FLAGS CACHE)
  message(STATUS "Enable upstream CFlags")
  include(${gazebo_cmake_dir}/DefaultCFlags.cmake)
endif()

# Check if warning options are avaliable for the compiler and return WARNING_CXX_FLAGS variable
if (MSVC)
  # Default Windows-MSVC.cmake sets MSVC warning flag to /W3. Add some extra warning excludes.
  set(WARN_LEVEL "/wd4005 /wd4068 /wd4244 /wd4251 /wd4267 /wd4275 /wd4996")
else()
  set(WARN_LEVEL "-Wall")
endif()
filter_valid_compiler_flags(${WARN_LEVEL}
  -Wextra -Wno-long-long -Wno-unused-value -Wfloat-equal -Wshadow
  -Wswitch-default -Wmissing-include-dirs -pedantic)

# Check and add visibility hidden by default. Only in UNIX
# Windows and MacosX does not handled properly the hidden compilation
if (UNIX AND NOT APPLE)
  if (ENABLE_PROFILER)
    filter_valid_compiler_flags(-fvisibility-inlines-hidden)
  else()
    filter_valid_compiler_flags(-fvisibility=hidden -fvisibility-inlines-hidden)
  endif()
endif()

if (MSVC)
  # Unable to be filtered flags (failing due to limitations in filter_valid_compiler_warnings)
  # Handling exceptions rightly
  set(UNFILTERED_FLAGS "/EHsc")
endif()

if (NOT MSVC)
  set(UNFILTERED_FLAGS "")
endif()

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${VALID_CXX_FLAGS} ${UNFILTERED_FLAGS}")

#################################################
# OS Specific initialization
if (UNIX)
  gz_setup_unix()
else (WIN32)
  gz_setup_windows()
endif()

if(APPLE)
  gz_setup_apple()
endif()

# Main includes for compilation
include_directories(${PROJECT_SOURCE_DIR} ${PROJECT_BINARY_DIR})
include_directories(SYSTEM ${IGNITION-MATH_INCLUDE_DIRS})

#################################################
# Configure 3rd Party Packages after OS Specific initialization
message (STATUS "\n\n====== Configuring 3rd Party Packages ======")
add_subdirectory(deps)

=== plugins/rest_web/CMakeLists.txt ===
link_directories(
  ${GAZEBO_LIBRARY_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  )

set (server_inc
  RestApi.hh
  RestException.hh
  RestWebPlugin.hh
  )


set (server_src
  RestApi.cc
  RestWebPlugin.cc
  )

set (client_inc
  RestUiLoginDialog.hh
  RestUiPlugin.hh
  RestUiWidget.hh
  )


set (client_src
  RestUiLoginDialog.cc
  RestUiPlugin.cc
  RestUiWidget.cc
  )

set (qt_headers
    RestUiWidget.hh
    RestUiLoginDialog.hh
)

add_definitions(${Qt5Core_DEFINITIONS})

include_directories(
  ${GAZEBO_INCLUDE_DIRS}
  ${Qt5Core_INCLUDE_DIRS}
)

add_library(RestWebPlugin SHARED ${server_src} )
target_link_libraries(RestWebPlugin
  CURL::libcurl
  ${GAZEBO_libraries}
  gazebo_msgs)
install (TARGETS RestWebPlugin
         LIBRARY DESTINATION ${GAZEBO_PLUGIN_LIB_INSTALL_DIR}
         ARCHIVE DESTINATION ${GAZEBO_PLUGIN_LIB_INSTALL_DIR}
         RUNTIME DESTINATION ${GAZEBO_PLUGIN_BIN_INSTALL_DIR})
gz_install_includes("plugins" ${server_inc})

add_library(RestUiPlugin SHARED ${client_src} ${headers_MOC})
target_link_libraries(RestUiPlugin ${GAZEBO_libraries} gazebo_msgs)
install (TARGETS RestUiPlugin
         LIBRARY DESTINATION ${GAZEBO_PLUGIN_LIB_INSTALL_DIR}
         ARCHIVE DESTINATION ${GAZEBO_PLUGIN_LIB_INSTALL_DIR}
         RUNTIME DESTINATION ${GAZEBO_PLUGIN_BIN_INSTALL_DIR})
gz_install_includes("plugins" ${client_inc})

=== test/regression/CMakeLists.txt ===
include_directories (
  ${ODE_INCLUDE_DIRS}
  ${OPENGL_INCLUDE_DIR}
  ${OGRE_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${PROTOBUF_INCLUDE_DIR}
)

link_directories(
  ${ogre_library_dirs}
  ${Boost_LIBRARY_DIRS}
  ${ODE_LIBRARY_DIRS}
)

if(HAVE_BULLET)
  include_directories ( ${BULLET_INCLUDE_DIRS} )
  link_directories ( ${BULLET_LIBRARY_DIRS} )
endif()
if(HAVE_DART)
  include_directories ( ${DART_INCLUDE_DIRS} )
  link_directories ( ${DART_LIBRARY_DIRS} )
endif()

set(tests
  351_world_step.cc
  494_joint_axis_frame.cc
  602_unsubscribe_segfault.cc
  624_collision_world_pose.cc
  876_random_number_generator.cc
  940_force_torque_sensor_frame.cc
  978_joint_anchor.cc
  1082_pid_limits.cc
  1112_force_torque_model_removal.cc
  1124_collision_pose.cc
  1146_collision_bounding_box.cc
  1208_world_plugin_init.cc
  1375_world_reset.cc
  1569_hydra_crash.cc
  1694_world_accel.cc
  1782_unadvertise.cc
  2239_revolute2_teleport.cc
  2297_log_insertions_paused.cc
  2428_log_insertions.cc
  2430_revolute_joint_SetPosition.cc
  2505_revolute_joint_SetAxis.cc
  2527_distortion_leak.cc
  2728_nested_urdf.cc
  2875_connect_pub_to_sub_crash.cc
  2896_gazebo_subnamespace.cc
  2902_performance_metrics_deadlock.cc
  3125_slow_loading_model_spawn.cc
)
gz_build_tests(${tests} EXTRA_LIBS gazebo_test_fixture)

set(display_tests
)

# Build the display tests (need extra sources to compile)
gz_build_display_tests(${display_tests})

set(dri_tests
  346_save_lights.cc
  846_typo_in_camera.cc
  1702_remove_model_scene_nodes.cc
)
gz_build_dri_tests(${dri_tests} EXTRA_LIBS gazebo_test_fixture)

add_dependencies(${TEST_TYPE}_1112_force_torque_model_removal
                 ForceTorqueModelRemovalTestPlugin)
add_dependencies(${TEST_TYPE}_1208_world_plugin_init
                 Issue1208Plugin)

set (CMAKE_AUTOMOC ON)
set(qt_tests
  2728_gui_spawned_nested_urdf.cc
)

gz_build_qt_tests(${qt_tests})

=== examples/plugins/model_visuals/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8 FATAL_ERROR)

find_package(gazebo REQUIRED)
include_directories(${GAZEBO_INCLUDE_DIRS})
link_directories(${GAZEBO_LIBRARY_DIRS})
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GAZEBO_CXX_FLAGS}")

add_library(model_visuals SHARED model_visuals.cc)
target_link_libraries(model_visuals ${GAZEBO_libraries})

=== media/materials/scripts/CMakeLists.txt ===
set (files
blur.compositor
blur.material
CreaseShading.compositor
CreaseShading.material
deferred.compositor
deferred_post.material
deferred_post_minilight.material
deferred_post.program
distortion.compositor
gazebo.material
GBuffer.material
grid.material
kitchen.material
lens_flare.compositor
Modulate.material
noise.compositor
oculus.material
perpixel.program
picker.material
ShadowCaster.material
shadow_caster.program
shadow_caster_ignore_heightmap.program
ShadowCaster.program
spotlight_shadow_demo.material
ssao.compositor
ssao.material
SSAOPost.compositor
SSAOPost.material
StdQuad_vp.program
VPL.material
VPL.program
deform.material
WideCameraLensMap.compositor
)

install(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/gazebo-${GAZEBO_MAJOR_VERSION}/media/materials/scripts/)

=== debian/changelog ===
gazebo11 (11.9.0-1~buster) buster; urgency=medium

  * gazebo11 11.9.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 28 Oct 2021 07:34:59 -0700

gazebo11 (11.8.1-1~buster) buster; urgency=medium

  * gazebo11 11.8.1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Tue, 24 Aug 2021 21:06:08 -0700

gazebo11 (11.8.0-2~buster) buster; urgency=medium

  * gazebo11 11.8.0-2 release

 -- Steve Peters <scpeters@openrobotics.org>  Wed, 18 Aug 2021 08:27:02 -0700

gazebo11 (11.8.0-1~buster) buster; urgency=medium

  * gazebo11 11.8.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Tue, 17 Aug 2021 17:13:14 -0700

gazebo11 (11.7.0-1~buster) buster; urgency=medium

  * gazebo11 11.7.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Wed, 30 Jun 2021 05:26:30 -0700

gazebo11 (11.6.0-1~buster) buster; urgency=medium

  * gazebo11 11.6.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 10 Jun 2021 12:12:09 +0200

gazebo11 (11.5.1-1~buster) buster; urgency=medium

  * gazebo11 11.5.1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 06 May 2021 12:29:26 +0200

gazebo11 (11.5.0-1~buster) buster; urgency=medium

  * gazebo11 11.5.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Tue, 20 Apr 2021 10:01:00 -0700

gazebo11 (11.4.0-1~buster) buster; urgency=medium

  * gazebo11 11.4.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 01 Apr 2021 18:17:46 -0700

gazebo11 (11.3.0-1~buster) buster; urgency=medium

  * gazebo11 11.3.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 26 Nov 2020 12:14:35 +0100

gazebo11 (11.2.0-1~buster) buster; urgency=medium

  * gazebo11 11.2.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 01 Oct 2020 23:03:27 +0200

gazebo11 (11.1.0-1~buster) buster; urgency=medium

  * gazebo11 11.1.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 12 Aug 2020 19:47:08 +0200

gazebo11 (11.1.0~pre1-1~buster) buster; urgency=medium

  * gazebo11 11.1.0~pre1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 12 Aug 2020 13:46:43 +0200

gazebo11 (11.0.0-2~buster) buster; urgency=medium

  * gazebo11 11.0.0-2 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 30 Mar 2020 16:43:43 +0200

=== debian/control ===
Source: gazebo11
Standards-Version: 3.9.5
Maintainer: Nate Koenig <nate@osrfoundation.org>
Section: science
Priority: extra
Build-Depends: cmake,
     debhelper (>= 9),
     bash-completion,
     doxygen,
     doxygen-latex,
     texlive-fonts-recommended,
     libfreeimage-dev,
     libprotoc-dev,
     libprotobuf-dev,
     protobuf-compiler,
     freeglut3-dev,
     libcurl4-openssl-dev,
     libtinyxml-dev,
     libtinyxml2-dev,
     libtar-dev,
     libtbb-dev,
     libogre-1.9-dev,
     libxml2-dev,
     pkg-config,
     qtbase5-dev,
     libqwt-qt5-dev,
     libqt5opengl5-dev,
     libltdl-dev,
     libboost-dev,
     libboost-thread-dev,
     libboost-signals-dev,
     libboost-system-dev,
     libboost-filesystem-dev,
     libboost-program-options-dev,
     libboost-regex-dev,
     libboost-iostreams-dev,
     libgts-dev,
     libavformat-dev,
     libavcodec-dev,
     libswscale-dev,
     libavdevice-dev,
     libusb-1.0-0-dev,
     libspnav-dev,
     libgdal-dev,
     libsdformat9-dev,
     libignition-math6-dev,
     libignition-transport8-dev,
     libignition-msgs5-dev,
     libignition-fuel-tools4-dev,
     libignition-common3-dev,
     libignition-common3-graphics-dev,
     libignition-common3-profiler-dev,
     libsimbody-dev (>= 3.0.0),
     libsimbody-dev (<< 4.0.0),
     libbullet-dev,
# No DART in Debian Buster
#     libdart6-collision-bullet-dev,
#     libdart6-collision-ode-dev,
#     libdart6-utils-urdf-dev,
     ruby-ronn
Vcs-Browser: https://github.com/ignition-release/gazebo11-elease
Vcs-Git: https://github.com/ignition-release/gazebo11-release
Homepage: http://gazebosim.org

Package: gazebo11-common
Architecture: all
Depends: ttf-dejavu-core, ${misc:Depends}
Multi-Arch: foreign
Conflicts: gazebo6-common,
           gazebo6-common-prerelease,
           gazebo7-common,
           gazebo7-common-prerelease,
           gazebo8-common,
           gazebo9-common,
           gazebo10-common,
Description: Open Source Robotics Simulator - Shared files
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package contains shared files such as 3d models, worlds and
 robots.

Package: gazebo11
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgazebo11 (= ${binary:Version}),
         gazebo11-common (>= 11.2.0)
Recommends: gazebo11-plugin-base
Suggests: gazebo11-doc
Multi-Arch: foreign
Conflicts: gazebo2,
           gazebo3,
           gazebo5,
           gazebo6,
           gazebo7,
           gazebo8,
           gazebo9,
           gazebo10
Description: Open Source Robotics Simulator
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).

Package: libgazebo11
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Conflicts: libgazebo5,
           libgazebo6,
           libgazebo7,
           libgazebo8,
           libgazebo9,
           libgazebo10
Description: Open Source Robotics Simulator - shared library
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package gathers shared libraries used

Package: libgazebo11-dev
Architecture: any
Section: libdevel
Depends: libtbb-dev,
         libxml2-dev,
         qtbase5-dev,
         libqwt-qt5-dev,
         libprotoc-dev,
         libfreeimage-dev,
         libprotobuf-dev,
         libboost-all-dev,
         freeglut3-dev,
         libogre-1.9-dev,
         libtar-dev,
         libcurl4-openssl-dev,
         libgts-dev,
         libusb-1.0-0-dev,
         libgdal-dev,
         libavformat-dev,
         libavcodec-dev,
         libswscale-dev,
         libavdevice-dev,
         libsdformat9-dev,
         libignition-math6-dev,
         libignition-transport8-dev,
         libignition-msgs5-dev,
         libignition-fuel-tools4-dev,
         libignition-common3-dev,
         libignition-common3-graphics-dev,
         libignition-common3-profiler-dev,
         libsimbody-dev (>= 3.0.0),
         libsimbody-dev (<< 4.0.0),
         libbullet-dev,
         libgazebo11 (= ${binary:Version}),
         gazebo11-common (>= 11.2.0),
         gazebo11-plugin-base (= ${source:Version}),
         ${misc:Depends}
Multi-Arch: same
Conflicts: gazebo2,
           libgazebo-dev (<< 10.0.0),
           libgazebo-dev (>= 9.0.0),
           libgazebo3-dev,
           libgazebo5-dev,
           libgazebo6-dev,
           libgazebo7-dev,
           libgazebo8-dev,
           libgazebo9-dev,
           libgazebo10-dev
Description: Open Source Robotics Simulator - Development Files
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package contains development files (headers, shared library
 symbolic link and pkg-config file).

Package: gazebo11-plugin-base
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gazebo11 (= ${binary:Version})
Enhances: gazebo11
Multi-Arch: foreign
Conflicts: gazebo5-plugins-base,
           gazebo6-plugins-base,
           gazebo7-plugins-base,
           gazebo8-plugins-base,
           gazebo9-plugins-base,
           gazebo10-plugins-base
Description: Open Source Robotics Simulator - base plug-ins
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package gathers built-in plugins.

Package: gazebo11-dbg
Architecture: any
Section: debug
Depends: gazebo11 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: foreign
Description: Open Source Robotics Simulator - Debugging Symbols
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package contains the debugging symbols.

Package: gazebo11-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Open Source Robotics Simulator - Documentation
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package contains the program documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# If dpkg-buildflags is available, retrieve hardened compilation flags.
# In all cases, add -as-needed as recent Ubuntu versions enables it by default.
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS 2>/dev/null)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS 2>/dev/null)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS 2>/dev/null)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS 2>/dev/null) -Wl,--as-needed

# Duplicate flags as CMake is ignoring CPPFLAGS.
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

# Multiarch (if supported).
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH 2>/dev/null)

# Configuration flags.
CONFIGURE_ARGS=

# Adjust cflags in arm
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 i386))
  CMAKE_HOST_CFLAGS="True"
else
  CMAKE_HOST_CFLAGS="False"
endif

# If multiarch is supported, override CMAKE_INSTALL_LIB
ifneq ($(DEB_HOST_MULTIARCH),)
CONFIGURE_ARGS+=-DCMAKE_INSTALL_LIBDIR:STRING="lib/${DEB_HOST_MULTIARCH}"
endif

override_dh_auto_configure:
	dh_auto_configure -- \
	        -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
	        -DUSE_HOST_CFLAGS:BOOL=${CMAKE_HOST_CFLAGS} \
	        $(CONFIGURE_ARGS) \

# Generate Doxygen HTML documentation.
# Currently broken:
# https://bitbucket.org/osrf/gazebo/issue/1141
#override_dh_auto_build-indep:	
	#dh_auto_build -- doc

override_dh_install:
	dh_install -- # Install.

	# Install icon
	mkdir -p debian/gazebo11/usr/share/icons/hicolor/scalable/apps/
	install -m 644 gazebo/gui/images/gazebo.svg \
	    debian/gazebo11/usr/share/icons/hicolor/scalable/apps/gazebo.svg	
        # Install desktop file
	mkdir -p debian/gazebo11/usr/share/applications/
	install -m 644 ./debian/gazebo.desktop \
	    debian/gazebo11/usr/share/applications/

# No test for now. Need some refactor work first
override_dh_auto_test:
	true
	#dh_auto_test || true

override_dh_strip:
	dh_strip -a --dbg-package=gazebo11-dbg

%:
	dh $@ --parallel --with bash-completion

## gazebo11 11.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 string (TOUPPER ${PROJECT_NAME} PROJECT_NAME_UPPER)
 
 set (GAZEBO_MAJOR_VERSION 11)
-set (GAZEBO_MINOR_VERSION 9)
+set (GAZEBO_MINOR_VERSION 11)
 # The patch version may have been bumped for prerelease purposes; be sure to
 # check gazebo-release/ubuntu/debian/changelog@default to determine what the
 # next patch version should be for a regular release.
@@ -168,30 +168,33 @@
 # 1. In CMake code to pass preprocessor definitions to certain source files
 # (especially in common/CMakeLists.txt).
 # 2. In the generation of cmake/setup.sh from cmake/setup.sh.in
+include (${gazebo_cmake_dir}/JoinPaths.cmake)
 set(GAZEBO_DEFAULT_MASTER_HOST localhost)
 set(GAZEBO_DEFAULT_MASTER_PORT 11345)
-set(GAZEBO_RELATIVE_PLUGIN_LIB_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}/gazebo-${GAZEBO_MAJOR_VERSION}/plugins)
-set(GAZEBO_RELATIVE_PLUGIN_BIN_INSTALL_DIR ${CMAKE_INSTALL_BINDIR}/gazebo-${GAZEBO_MAJOR_VERSION}/plugins)
-set(GAZEBO_PLUGIN_LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/${GAZEBO_RELATIVE_PLUGIN_LIB_INSTALL_DIR})
-set(GAZEBO_PLUGIN_BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/${GAZEBO_RELATIVE_PLUGIN_BIN_INSTALL_DIR})
+join_paths(GAZEBO_SETUP_SH_PLUGIN_LIB_INSTALL_DIR "\${installPrefix}" ${CMAKE_INSTALL_LIBDIR}/gazebo-${GAZEBO_MAJOR_VERSION}/plugins)
+join_paths(GAZEBO_SETUP_SH_PLUGIN_BIN_INSTALL_DIR "\${installPrefix}" ${CMAKE_INSTALL_BINDIR}/gazebo-${GAZEBO_MAJOR_VERSION}/plugins)
+set(GAZEBO_PLUGIN_LIB_INSTALL_DIR ${CMAKE_INSTALL_FULL_LIBDIR}/gazebo-${GAZEBO_MAJOR_VERSION}/plugins)
+set(GAZEBO_PLUGIN_BIN_INSTALL_DIR ${CMAKE_INSTALL_FULL_BINDIR}/gazebo-${GAZEBO_MAJOR_VERSION}/plugins)
 if(WIN32)
-  set(GAZEBO_RELATIVE_PLUGIN_PATH ${GAZEBO_RELATIVE_PLUGIN_BIN_INSTALL_DIR})
-else()
-  set(GAZEBO_RELATIVE_PLUGIN_PATH ${GAZEBO_RELATIVE_PLUGIN_LIB_INSTALL_DIR})
-endif()
-set(GAZEBO_PLUGIN_PATH ${CMAKE_INSTALL_PREFIX}/${GAZEBO_RELATIVE_PLUGIN_PATH})
-FILE(TO_NATIVE_PATH "${GAZEBO_PLUGIN_PATH}" GAZEBO_PLUGIN_PATH)
-set(GAZEBO_RELATIVE_MODEL_PATH ${CMAKE_INSTALL_DATAROOTDIR}/gazebo-${GAZEBO_MAJOR_VERSION}/models)
-set(GAZEBO_MODEL_PATH ${CMAKE_INSTALL_PREFIX}/${GAZEBO_RELATIVE_MODEL_PATH})
-FILE(TO_NATIVE_PATH "${GAZEBO_MODEL_PATH}" GAZEBO_MODEL_PATH)
-set(GAZEBO_RELATIVE_RESOURCE_PATH ${CMAKE_INSTALL_DATAROOTDIR}/gazebo-${GAZEBO_MAJOR_VERSION})
-set(GAZEBO_RESOURCE_PATH ${CMAKE_INSTALL_PREFIX}/${GAZEBO_RELATIVE_RESOURCE_PATH})
-FILE(TO_NATIVE_PATH "${GAZEBO_RESOURCE_PATH}" GAZEBO_RESOURCE_PATH)
+  set(GAZEBO_SETUP_SH_PLUGIN_PATH ${GAZEBO_SETUP_SH_PLUGIN_BIN_INSTALL_DIR})
+  set(GAZEBO_PLUGIN_PATH ${GAZEBO_PLUGIN_BIN_INSTALL_DIR})
+else()
+  set(GAZEBO_SETUP_SH_PLUGIN_PATH ${GAZEBO_SETUP_SH_PLUGIN_LIB_INSTALL_DIR})
+  set(GAZEBO_PLUGIN_PATH ${GAZEBO_PLUGIN_LIB_INSTALL_DIR})
+endif()
+FILE(TO_CMAKE_PATH "${GAZEBO_PLUGIN_PATH}" GAZEBO_PLUGIN_PATH)
+join_paths(GAZEBO_SETUP_SH_MODEL_PATH "\${installPrefix}" ${CMAKE_INSTALL_DATAROOTDIR}/gazebo-${GAZEBO_MAJOR_VERSION}/models)
+set(GAZEBO_MODEL_PATH ${CMAKE_INSTALL_FULL_DATAROOTDIR}/gazebo-${GAZEBO_MAJOR_VERSION}/models)
+FILE(TO_CMAKE_PATH "${GAZEBO_MODEL_PATH}" GAZEBO_MODEL_PATH)
+join_paths(GAZEBO_SETUP_SH_RESOURCE_PATH "\${installPrefix}" ${CMAKE_INSTALL_DATAROOTDIR}/gazebo-${GAZEBO_MAJOR_VERSION})
+set(GAZEBO_RESOURCE_PATH ${CMAKE_INSTALL_FULL_DATAROOTDIR}/gazebo-${GAZEBO_MAJOR_VERSION})
+FILE(TO_CMAKE_PATH "${GAZEBO_RESOURCE_PATH}" GAZEBO_RESOURCE_PATH)
 set(GAZEBO_MODEL_DATABASE_URI http://models.gazebosim.org)
 set(OGRE_RESOURCE_PATH ${OGRE_PLUGINDIR})
 # Seems that OGRE_PLUGINDIR can end in a newline, which will cause problems when
 # we pass it to the compiler later.
 string(REPLACE "\n" "" OGRE_RESOURCE_PATH ${OGRE_RESOURCE_PATH})
+FILE(TO_CMAKE_PATH "${OGRE_RESOURCE_PATH}" OGRE_RESOURCE_PATH)
 
 
 # Check for DRI capable Display
@@ -310,9 +313,3 @@
 
 # Main includes for compilation
 include_directories(${PROJECT_SOURCE_DIR} ${PROJECT_BINARY_DIR})
-include_directories(SYSTEM ${IGNITION-MATH_INCLUDE_DIRS})
-
-#################################################
-# Configure 3rd Party Packages after OS Specific initialization
-message (STATUS "\n\n====== Configuring 3rd Party Packages ======")
-add_subdirectory(deps)

=== debian/changelog ===
gazebo11 (11.11.0-1~revyos3) bullseye; urgency=medium

  * Change depend ttf-dejavu-core to fonts-dejavu-core 

 -- CHEN Xuan <chenxuan@iscas.ac.cn>  Wed, 29 May 2024 14:50:58 +0800

gazebo11 (11.11.0-1~revyos2) bullseye; urgency=medium

  * Fall back depends to old version.
  * libdart version requirement  (<< 6.10.0) removed.

 -- CHEN Xuan <chenxuan@iscas.ac.cn>  Wed, 29 May 2024 10:43:42 +0800

gazebo11 (11.11.0-1~revyos1) UNRELEASED; urgency=medium

  * Release for RevyOS riscv64

 -- Sakura286 <sakura286@outlook.com>  Fri, 10 May 2024 09:37:33 +0800

gazebo11 (11.11.0-1~focal) focal; urgency=medium

  * gazebo11 11.11.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Fri, 27 May 2022 16:56:37 -0700

gazebo11 (11.10.2-1~focal) focal; urgency=medium

  * gazebo11 11.10.2-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Fri, 18 Mar 2022 21:45:03 -0700

gazebo11 (11.10.1-1~focal) focal; urgency=medium

  * gazebo11 11.10.1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 20 Jan 2022 12:03:36 -0800

gazebo11 (11.10.0-1~focal) focal; urgency=medium

  * gazebo11 11.10.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Wed, 12 Jan 2022 18:06:16 -0800

gazebo11 (11.9.1-1~focal) focal; urgency=medium

  * gazebo11 11.9.1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 02 Dec 2021 15:44:35 -0800

gazebo11 (11.9.0-1~focal) focal; urgency=medium

  * gazebo11 11.9.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 28 Oct 2021 07:35:00 -0700

gazebo11 (11.8.1-1~focal) focal; urgency=medium

  * gazebo11 11.8.1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Tue, 24 Aug 2021 21:06:08 -0700

gazebo11 (11.8.0-2~focal) focal; urgency=medium

  * gazebo11 11.8.0-2 release

 -- Steve Peters <scpeters@openrobotics.org>  Wed, 18 Aug 2021 08:27:01 -0700

gazebo11 (11.8.0-1~focal) focal; urgency=medium

  * gazebo11 11.8.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Tue, 17 Aug 2021 17:13:14 -0700

gazebo11 (11.7.0-1~focal) focal; urgency=medium

  * gazebo11 11.7.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Wed, 30 Jun 2021 05:26:30 -0700

gazebo11 (11.6.0-1~focal) focal; urgency=medium

  * gazebo11 11.6.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 10 Jun 2021 12:12:09 +0200

gazebo11 (11.5.1-1~focal) focal; urgency=medium

  * gazebo11 11.5.1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 06 May 2021 12:29:26 +0200

gazebo11 (11.5.0-1~focal) focal; urgency=medium

  * gazebo11 11.5.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Tue, 20 Apr 2021 10:00:59 -0700

gazebo11 (11.4.0-1~focal) focal; urgency=medium

  * gazebo11 11.4.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 01 Apr 2021 18:17:46 -0700

gazebo11 (11.3.0-1~focal) focal; urgency=medium

  * gazebo11 11.3.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 26 Nov 2020 12:14:34 +0100

gazebo11 (11.2.0-1~focal) focal; urgency=medium

  * gazebo11 11.2.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 01 Oct 2020 23:03:27 +0200

gazebo11 (11.1.0-1~focal) focal; urgency=medium

  * gazebo11 11.1.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 12 Aug 2020 19:47:08 +0200

gazebo11 (11.1.0~pre1-1~focal) focal; urgency=medium

  * gazebo11 11.1.0~pre1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 12 Aug 2020 13:46:43 +0200

gazebo11 (11.0.0-2~focal) focal; urgency=medium

  * gazebo11 11.0.0-2 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 30 Mar 2020 16:43:44 +0200

gazebo11 (11.0.0-1~focal) focal; urgency=medium

  * gazebo11 11.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 30 Jan 2020 17:58:27 -0800

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
      libltdl-dev,
      libboost-dev,
      libboost-thread-dev,
-     libboost-signals-dev,
      libboost-system-dev,
      libboost-filesystem-dev,
      libboost-program-options-dev,
@@ -42,8 +41,8 @@
      libusb-1.0-0-dev,
      libspnav-dev,
      libgdal-dev,
-     libsdformat9-dev,
-     libignition-math6-dev,
+     libsdformat9-dev (>=9.8.0),
+     libignition-math-dev,
      libignition-transport8-dev,
      libignition-msgs5-dev,
      libignition-fuel-tools4-dev,
@@ -53,10 +52,12 @@
      libsimbody-dev (>= 3.0.0),
      libsimbody-dev (<< 4.0.0),
      libbullet-dev,
-# No DART in Debian Buster
-#     libdart6-collision-bullet-dev,
-#     libdart6-collision-ode-dev,
-#     libdart6-utils-urdf-dev,
+# dart without major version number to get versions coming from Debian/Ubuntu upstream
+     libdart-collision-bullet-dev,
+     libdart-collision-ode-dev,
+     libdart-utils-urdf-dev,
+     libdart-external-odelcpsolver-dev,
+     libdart-external-ikfast-dev,
      ruby-ronn
 Vcs-Browser: https://github.com/ignition-release/gazebo11-elease
 Vcs-Git: https://github.com/ignition-release/gazebo11-release
@@ -64,7 +65,7 @@
 
 Package: gazebo11-common
 Architecture: all
-Depends: ttf-dejavu-core, ${misc:Depends}
+Depends: fonts-dejavu-core, ${misc:Depends}
 Multi-Arch: foreign
 Conflicts: gazebo6-common,
            gazebo6-common-prerelease,
@@ -153,8 +154,8 @@
          libavcodec-dev,
          libswscale-dev,
          libavdevice-dev,
-         libsdformat9-dev,
-         libignition-math6-dev,
+         libsdformat9-dev (>=9.8.0),
+         libignition-math-dev,
          libignition-transport8-dev,
          libignition-msgs5-dev,
          libignition-fuel-tools4-dev,
@@ -164,6 +165,12 @@
          libsimbody-dev (>= 3.0.0),
          libsimbody-dev (<< 4.0.0),
          libbullet-dev,
+# dart without major version number to get versions coming from Debian/Ubuntu upstream
+         libdart-collision-bullet-dev,
+         libdart-collision-ode-dev,
+         libdart-utils-urdf-dev,
+         libdart-external-odelcpsolver-dev,
+         libdart-external-ikfast-dev,
          libgazebo11 (= ${binary:Version}),
          gazebo11-common (>= 11.2.0),
          gazebo11-plugin-base (= ${source:Version}),
